Katello - Bug #17389

Host created via hammer does not show the CV & Lifecycle Environment inherited from hostgroup
11/17/2016 03:38 PM - Andrew Kofink

Status: Resolved
Priority: High
Assignee: Andrew Kofink
Category:
Target version: Katello Recycle Bin
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/466
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1391656
Description of problem:

If you create a host via hammer and inherit the CV and lifecycle environment
from the hostgroup, then when you edit the host in the UI, the CV and lifecycle
environments are blank.

Creating a host with the same settings via the GUI correctly pulls the CV
and lifecycle environment

Version—-Release number of selected component (if applicable):
Satellite 6.2.2
How reproducible:
100%
Steps to Reproduce:
1. Create hostgroup, set lifecycle environment & CV
2. Create host via hammer setting hostgroup to the hostgroup
created in #1

Actual results:

Edit the host in the GUI, and the CV & Lifecycle environments
will be blank

Expected results:

Edit the host in the GUI, and the CV & Lifecycle environments
will be populated with the values from the hostgroup it is a
part of.

Additional info:

A host created using the GUI will have the CV and Lifecycle Env
correctly populated.

Found a related resolved bz
- https://bugzilla.redhat.com/show bug.cgi?id=1312157
- https://projects.theforeman.org/issues/13910

Related issues:
https://bugzilla.redhat.com/show_bug.cgi?id=1391656

Has duplicate Katello - Bug #17209: hammer host create doesn't inherit conten... Resolved 11/03/2016

History

#1 - 11/17/2016 03:56 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Andrew Kofink

- Pull request https://github.com/Katello/hammer-cli-katello/pull/466 added

#2 - 11/18/2016 05:00 PM - Brad Buckingham

- Subject changed from Host created via hammer does not show the CV & Lifecycle Environment inherited from hostgroup
to Host created via hammer does not show the CV & Lifecycle Environment inherited from hostgroup

- Target version set to 140

#3 - 11/29/2016 09:17 AM - Andrew Kofink

- Target version changed from 140 to 147

#4 - 11/30/2016 02:16 PM - Eric Helms
- Status changed from Ready For Testing to Resolved

- translation missing: en.field_release set to 166

#5 - 11/30/2016 02:16 PM - Eric Helms
- Bugzilla link deleted (1391656)

#6 - 11/30/2016 02:37 PM - Andrew Kofink

- Has duplicate Bug #17209: hammer host create doesn't inherit content_facet_attributes from hostgroups added
